Bug 836084 - [Origin] get rail error Could not find stickshift-common-0.12.2 in any of the sources (Bundler::GemNotFound) after running ss-broker-setup
[Origin] get rail error Could not find stickshift-common-0.12.2 in any of the...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 01:05 EDT by Peter Ruan
Modified: 2015-05-14 21:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2012-06-28 01:05:58 EDT
Description of problem:
  After updating crankcase and following the directions http://www.krishnaraman.net/multi-node-openshift-origin-from-scratch/

  I get the error 'Could not find stickshift-common-0.12.2 in any of the sources (Bundler::GemNotFound)' after running ss-broker-setup

Version-Release number of selected component (if applicable):

git 5388a90cdce497d7f314f82e9be1a72b1c75d0f6

How reproducible:
always

Steps to Reproduce:
1. ssh root@10.14.16.113/vostok08
2. on the web browser, goto https://localhost/broker/rest/api.json
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Ruan 2012-06-29 19:43:14 EDT
This is more of a process problem.  For now, take the following steps and reboot to correct the problem

cd /var/www/stickshift/broker

edit Gemfile.lock to match returned values from 'yum list installed | grep stickshif
Comment 2 Krishna Raman 2012-07-08 12:45:12 EDT
Fixed. was a gem version mismatch
Comment 3 Peter Ruan 2012-07-09 18:28:17 EDT
verified with an new compile.

Note You need to log in before you can comment on or make changes to this bug.